/*Cart Product Thumbnail image*/
.woocommerce-cart .product-thumbnail img {
    border: 1px solid #9993 !important;
}
.woocommerce-cart .product-thumbnail {
    max-width: 100px !important;
}
/*Cart Product Title*/
.woocommerce-cart .product-info a {
    font-size: var(--small-font-size) !important;
    line-height: 1.225em !important;
    padding: 5px;
    font-weight: 400;
    color: var(--color-text) !important;
    display: block;
}
/*#webtim-wooc-product-qty*/
/*.woocommerce-cart .product-info .variation,
.woocommerce-cart .product-price
.woocommerce-cart .product-subtotal {
    display: none;
}*/

/*Cart Product Price & Subtotal*/
.woocommerce-cart .product-price bdi,
.woocommerce-cart .product-price bdi span,
.woocommerce-cart .product-subtotal bdi,
.woocommerce-cart .product-subtotal bdi span {
    font-size: 1.4rem;
}

/*Cart Qty fields*/
.woocommerce-cart #webtim-wooc-product-qty {
    width: fit-content;
    width: -moz-fit-content;
}

/*Cart page cart collaterals*/
.woocommerce-cart .cart-collaterals h6 {
    font-size: 1.4rem;
    font-weight: 400 !important;
}

/*Cart page cart collaterals title*/
.woocommerce-cart .webtim-cart--cart-totals--title {
    font-size: 2rem !important;
    margin-bottom: 16px;
    margin-top: 0px !important;
    padding-bottom: 16px;
    border-bottom: 1px solid #cac9cc;
    color: #000;
    font-weight: 500 !important;
}

/*Cart page cart collaterals shipping method*/
.woocommerce-cart #shipping_method li {
    display: flex;
    align-items: center;
    /*justify-content: flex-end;*/
    margin-bottom: 15px !important;
}

.woocommerce-cart #shipping_method li:last-child {
    margin-bottom: 0;
}

.woocommerce-cart #shipping_method li label,
.woocommerce-cart #shipping_method li label bdi,
.woocommerce-cart #shipping_method li label span {
    font-weight: 400;
    font-size: 1.2rem;
    line-height: 24px;
    /*text-align: right;*/
}

/*Bold Prices*/
.woocommerce-cart #shipping_method li label span,
.woocommerce-cart #shipping_method li label bdi {
    font-weight: bold;
}

/*Cart page cart collaterals hide shipping destination and shipping calc.*/
.woocommerce-cart .woocommerce-shipping-destination,
.woocommerce-cart #webtim_woocommerce_shipping_calculator {
    display: none;
}

/*Cart page cart total & subtotal text align & font weight*/
.woocommerce-cart .cart-subtotal p,
.woocommerce-cart .order-total p {
    text-align: right;
}

.woocommerce-cart .cart-subtotal p bdi,
.woocommerce-cart .cart-subtotal p span,
.woocommerce-cart .order-total p bdi,
.woocommerce-cart .order-total p span {
    font-weight: 400 !important;
    font-size: 1.4rem;
}

/*Cart page Shipping option Margin*/
.woocommerce-cart .woocommerce-shipping-totals {
    margin-bottom: 28px;
}

/*Cart page procced to checkout Button*/
.woocommerce-cart .wc-proceed-to-checkout {
    padding-bottom: 0;
}

.woocommerce-cart .wc-proceed-to-checkout a {
    font-size: 1.6rem !important;
    font-weight: 400 !important;
    color: var(--color-primary);
    text-transform: uppercase;
    margin-bottom: 0 !important;
    background-color: var(--color-primary) !important;
    /*border: 1px solid var(--color-secondary) !important;*/
    border: none !important;
    border-radius: 0;
}

.woocommerce-cart .wc-proceed-to-checkout a:hover {

    background-color: var(--color-secondary) !important;

    color: var(--color-white) !important;

    border-color: var(--color-primary) !important;

    box-shadow: 0px 0px 15px 0px rgb(0 0 0 / 50%);

}

/*Cart page Inputs*/

.woocommerce-cart #shipping_method input {

    border: 2px solid var(--color-primary) !important;

    margin-right: 12px !important;

}

.woocommerce-cart #shipping_method input:checked::after {

    background-color: var(--color-primary) !important;

}

/*Cart page Coupon*/

#coupon_code {

    background-color: #f4f4f4;

    font-size: 1.2rem;

    padding: 10px;

    max-width: 200px !important;

    border: 1px dashed #0000003d;

    border-top-left-radius: 0;

}

#coupon_code:focus-visible {

    outline: none;

}

.coupon-btn {

    font-weight: 400 !important;

    color: var(--color-secondary) !important;

    text-decoration: none !important;

    font-size: 12px !important;

}



.webtim-cart--coupon__wrapper {

    justify-content: flex-start !important;

}

/*Update Cart*/

.webtim-cart--update-cart-btn__wrapper button {

    font-weight: 400 !important;

    opacity: 1 !important;

    text-transform: uppercase;

    border: none !important;

}



/*Quantity fields*/

#webtim-wooc-product-qty {

    border: 1px solid #ccc;

    height: 38px;

    margin-right: 50px;

}

#webtim-wooc-qty-plus,

#webtim-wooc-qty-minus,

#webtim-wooc-product-qty input {

    height: 100%;

    display: flex;

    align-items: center;

    justify-content: center;

}

#webtim-wooc-qty-plus,

#webtim-wooc-qty-minus {

    width: 35px;

    transition: all .5s;

    background-color: #f5f5f5;

}

#webtim-wooc-qty-plus:hover,

#webtim-wooc-qty-minus:hover {

    background-color: #ccc;

}



#webtim-wooc-product-qty .quantity {

    height: 100%;

    margin: 0;

}

#webtim-wooc-product-qty input {

    vertical-align: middle;

    width: 40px;

    border-top: none;

    border-bottom: none;

    border-left: 1px solid #ccc;

    border-right: 1px solid #ccc;

}

/*Cart item*/

.woocommerce-cart-form__cart-item .product-info {

    line-height: 1.225em;

}

/*Upsell cotnainer margin*/

.webtim-cart--cross-sells__container {

    margin: 0 !important;

}

@media only screen and (max-width: 1024px) {

    .webtim-cart--cart-collaterals__container {

        max-width: 100% !important;

    }

}

@media only screen and (max-width: 767px) {

    /*Cart Page*/

    .woocommerce-cart .product-thumbnail {

        display: block !important;

   }

    .woocommerce-cart .cart-collaterals .cart-subtotal,

    .woocommerce-cart .cart-collaterals .cart-subtotal h6,

    .woocommerce-cart .cart-collaterals .order-total,

    .woocommerce-cart .cart-collaterals .order-total h6 {

        flex-wrap: nowrap;

        margin: 0;

   }

    .woocommerce-cart #shipping_method {

        justify-content: flex-start;

        display: flex;

        flex-direction: column;

        align-items: flex-start;

   }

   /*Product title*/

   .woocommerce-cart .product-info a {

       font-size: 1.2rem;

   }

   /*Product image*/

   .woocommerce-cart .product-thumbnail {

       max-width: 65px !important;

   }

   /*Update Cart*/

    .webtim-cart--update-cart-btn__wrapper {

        width: 100% !important;

    }

    .webtim-cart--update-cart-btn__wrapper button {

        padding: 10px 25px !important;

   }

   /*Coupon*/

   .coupon-btn {

        margin: 0 !important;

   }

   #coupon_code {

        max-width: 100% !important;

   }

    .webtim-cart--coupon__wrapper {

        flex-wrap: nowrap !important;

        width: 100% !important;

        margin-bottom: 20px !important;

   }

   .webtim-cart--coupon__wrapper .coupon-btn {

       line-height: 1.225em !important;

        min-width: 111px;

        text-align: left;

        font-size: var(--smallest-font-size) !important;

        padding: 0;

   }

   .webtim-cart--update-cart-btn__wrapper button {

        margin-right: 0 !important;

   }

   .webtim-cart__container,

   .webtim-cart--products {

       margin-bottom: 20px !important;

   }

}